Bug 4970 - We need to synchronize rosa2014.1 and current glibc packages
: We need to synchronize rosa2014.1 and current glibc packages
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal major
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-28 16:55 MSK by Andrey Bondrov
Modified: 2015-02-18 12:32 MSK (History)
4 users (show)

See Also:
RPM Package: glibc
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
32_bit_update_log_1.txt (19.01 KB, text/plain)
2015-01-30 11:39 MSK, FirstLevel
Details
32_bit_update_log_2.txt (19.32 KB, text/plain)
2015-01-30 11:40 MSK, FirstLevel
Details
64_bit_update_log_1.txt (7.63 KB, text/plain)
2015-01-30 11:58 MSK, FirstLevel
Details
64_bit_update_log_2.txt (7.32 KB, text/plain)
2015-01-30 11:58 MSK, FirstLevel
Details
old-glibc-32-locale-output.txt (4.75 KB, text/plain)
2015-02-01 16:57 MSK, FirstLevel
Details
old-glibc-64-locale-output.txt (4.65 KB, text/plain)
2015-02-01 16:57 MSK, FirstLevel
Details
ss (66.20 KB, image/png)
2015-02-04 18:50 MSK, Vladimir Potapov
Details
ss (136.77 KB, image/png)
2015-02-04 19:35 MSK, Vladimir Potapov
Details
ss3 (272.90 KB, image/png)
2015-02-10 16:01 MSK, Vladimir Potapov
Details
glibc updated with no perl warnings (3.10 KB, text/plain)
2015-02-18 12:28 MSK, a.lahin
Details
glibc updated with perl warnings (13.29 KB, text/plain)
2015-02-18 12:28 MSK, a.lahin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-01-28 16:55:23 MSK
We need to synchronize rosa2014.1 and current glibc packages. The difference is in how locales are organized. 

See http://bugs.rosalinux.ru/show_bug.cgi?id=4499 why current package was adjusted.
Comment 1 Andrey Bondrov 2015-01-28 16:56:03 MSK
Advisory: "Re-organize locales"

https://abf.rosalinux.ru/build_lists/2395450
https://abf.rosalinux.ru/build_lists/2395451

Please test carefully.
Comment 2 FirstLevel 2015-01-30 11:39:37 MSK
32 bit
install glibc-utils glibc-static-devel. plug container and update - ok. see 32_bit_update_log_1
plug container and install glibc-utils glibc-static-devel. Then update all - ok.  32_bit_update_log_2
Comment 3 FirstLevel 2015-01-30 11:39:53 MSK
Created attachment 3705 [details]
32_bit_update_log_1.txt
Comment 4 FirstLevel 2015-01-30 11:40:08 MSK
Created attachment 3706 [details]
32_bit_update_log_2.txt
Comment 5 FirstLevel 2015-01-30 11:58:23 MSK
64 bit
install glibc-utils glibc-static-devel. plug container and update - ok. see 64_bit_update_log_1.txt
plug container and install glibc-utils glibc-static-devel. Then update all - ok.  64_bit_update_log_2
Comment 6 FirstLevel 2015-01-30 11:58:42 MSK
Created attachment 3707 [details]
64_bit_update_log_1.txt
Comment 7 FirstLevel 2015-01-30 11:58:56 MSK
Created attachment 3708 [details]
64_bit_update_log_2.txt
Comment 8 FirstLevel 2015-01-30 12:00:20 MSK
I think that it is not normal that see strange perl warning in logs for 32 bit like that:
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
        LANGUAGE = "ru_RU.UTF-8:ru",
        LC_ALL = (unset),
        LC_PAPER = "ru_RU.UTF-8",
        LC_ADDRESS = "ru_RU.UTF-8",
        LC_MONETARY = "ru_RU.UTF-8",
        LC_SOURCED = "1",
        LC_NUMERIC = "ru_RU.UTF-8",
        LC_TELEPHONE = "ru_RU.UTF-8",
        LC_MESSAGES = "ru_RU.UTF-8",
        LC_IDENTIFICATION = "ru_RU.UTF-8",
        LC_COLLATE = "ru_RU.UTF-8",
        LC_MEASUREMENT = "ru_RU.UTF-8",
        LC_CTYPE = "ru_RU.UTF-8",
        LC_TIME = "ru_RU.UTF-8",
        LC_NAME = "ru_RU.UTF-8",
        LANG = "ru_RU.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").


Because I have not such string for 64bit
Comment 9 a.lahin 2015-01-30 15:05:47 MSK
Please, provide the following commands output after "urpmi glibc-utils glibc-static-devel" and before "urpmi --auto-update":

ls /usr/lib/locale/
ls /usr/share/locale/
ls /usr/share/locale/ru_RU.UTF-8/
localedef --help | tail
localedef --list-archive

(For 32 and 64-bit systems.)
Comment 10 FirstLevel 2015-02-01 16:53:03 MSK
(In reply to comment #9)
> Please, provide the following commands output after "urpmi glibc-utils
> glibc-static-devel" and before "urpmi --auto-update":
> 
> ls /usr/lib/locale/
> ls /usr/share/locale/
> ls /usr/share/locale/ru_RU.UTF-8/
> localedef --help | tail
> localedef --list-archive
> 
> (For 32 and 64-bit systems.)

If You mean old (not updated glibc-utils glibc-static-devel) I have such output for Your commands: old-glibc-32-locale-output.txt. It is for 32 bit system
Comment 11 FirstLevel 2015-02-01 16:57:06 MSK
(In reply to comment #9)
> Please, provide the following commands output after "urpmi glibc-utils
> glibc-static-devel" and before "urpmi --auto-update":
> 
> ls /usr/lib/locale/
> ls /usr/share/locale/
> ls /usr/share/locale/ru_RU.UTF-8/
> localedef --help | tail
> localedef --list-archive
> 
> (For 32 and 64-bit systems.)

If You mean old (not updated glibc-utils glibc-static-devel) I have such output for Your commands: old-glibc-64-locale-output.txt. It is for 64 bit system
Comment 12 FirstLevel 2015-02-01 16:57:34 MSK
Created attachment 3712 [details]
old-glibc-32-locale-output.txt
Comment 13 FirstLevel 2015-02-01 16:57:48 MSK
Created attachment 3713 [details]
old-glibc-64-locale-output.txt
Comment 14 a.lahin 2015-02-02 09:48:59 MSK
(In reply to comment #11)

> If You mean old (not updated glibc-utils glibc-static-devel) I have such
> output for Your commands: old-glibc-64-locale-output.txt. It is for 64 bit
> system

I meant the state between "plug container and install glibc-utils glibc-static-devel" and "update all". I.e. the state when you get "Setting locale failed." in 32_bit_update_log_2.txt (3706.txt).

Meanwhile I see inconsistencies in the last two logs.

In 64-bit localedef is working with /usr/lib/locale, but in 32-bit - with /usr/share/locale.
Please check if glibc versions are equal in that systems.
(rpm -qa glibc)
Comment 15 FirstLevel 2015-02-02 10:46:45 MSK
(In reply to comment #14)
> (In reply to comment #11)
> 
> > If You mean old (not updated glibc-utils glibc-static-devel) I have such
> > output for Your commands: old-glibc-64-locale-output.txt. It is for 64 bit
> > system
> 
> I meant the state between "plug container and install glibc-utils
> glibc-static-devel" and "update all". I.e. the state when you get "Setting
> locale failed." in 32_bit_update_log_2.txt (3706.txt).
> 
> Meanwhile I see inconsistencies in the last two logs.
> 
> In 64-bit localedef is working with /usr/lib/locale, but in 32-bit - with
> /usr/share/locale.
> Please check if glibc versions are equal in that systems.
> (rpm -qa glibc)


For original R5 release:

[root@r5-32 ~]# rpm -qa | grep glibc
glibc-2.19-8-rosa2014.1.i586
glibc-devel-2.19-8-rosa2014.1.i586
libglibc_lsb-2.4.7-8-rosa2014.1.i586
glibc-i18ndata-2.19-8-rosa2014.1.i586
[root@r5-32 ~]# 



[root@r5-64 ~]# rpm -qa | grep glibc
glibc-2.19-8-rosa2014.1.x86_64
glibc-devel-2.19-8-rosa2014.1.x86_64
lib64glibc_lsb-2.4.7-8-rosa2014.1.x86_64
glibc-i18ndata-2.19-8-rosa2014.1.x86_64
[root@r5-64 ~]#
Comment 16 Denis Silakov 2015-02-02 11:05:21 MSK
(In reply to comment #14)
> (In reply to comment #11)
> 
> > If You mean old (not updated glibc-utils glibc-static-devel) I have such
> > output for Your commands: old-glibc-64-locale-output.txt. It is for 64 bit
> > system
> 
> I meant the state between "plug container and install glibc-utils
> glibc-static-devel" and "update all". I.e. the state when you get "Setting
> locale failed." in 32_bit_update_log_2.txt (3706.txt).
> 
> Meanwhile I see inconsistencies in the last two logs.
> 

This is possible, we had mismatch between 32bit and 64bit glibc in Fresh R4/R5 concerning work with locales. Not sure where it came from, but it didn't do much harm so we forgot about it.
Comment 17 a.lahin 2015-02-02 11:24:59 MSK
(In reply to comment #16)
> (In reply to comment #14)
> > Meanwhile I see inconsistencies in the last two logs.
> > 
> 
> This is possible, we had mismatch between 32bit and 64bit glibc in Fresh
> R4/R5 concerning work with locales. Not sure where it came from, but it
> didn't do much harm so we forgot about it.

Then it explains why there were differences when upgrading glibc-related packages. As 64-bit package was closer to a new one, we had no errors during upgrade.
So testing should be focused on a 32- and 64-bit systems behaviour after the upgrade, when the consistency is expected.
Comment 18 Vladimir Potapov 2015-02-04 18:50:17 MSK
Created attachment 3726 [details]
ss

I don't change nssswitch.conf but i see this!
Comment 19 Vladimir Potapov 2015-02-04 19:35:32 MSK
Created attachment 3727 [details]
ss
Comment 20 Vladimir Potapov 2015-02-04 19:37:56 MSK
(In reply to comment #19)
> Created attachment 3727 [details]
После обновления glibs до обновления локалей система получается частично английской. Т.к. после обновления glibs она просит перезагрузиться,
то это получается (для неподготовленного пользователя) черт знает что
1) Сначала просит выбрать из трех непонятных выборов
2) Потом переключается на английский
3) Потом, после еще одного обновления становится "все хорошо".
Воспроизвелось на x64 и i586
*****************************
QA Denied
Comment 21 a.lahin 2015-02-09 21:47:18 MSK
(In reply to comment #20)
> (In reply to comment #19)
> > Created attachment 3727 [details]
> После обновления glibs до обновления локалей система получается частично
> английской. Т.к. после обновления glibs она просит перезагрузиться,
> то это получается (для неподготовленного пользователя) черт знает что
> 1) Сначала просит выбрать из трех непонятных выборов
> 2) Потом переключается на английский
> 3) Потом, после еще одного обновления становится "все хорошо".
> Воспроизвелось на x64 и i586
> *****************************
> QA Denied

Please recheck with the following build:
https://abf.io/build_lists/2423516
https://abf.io/build_lists/2423517
Comment 22 Vladimir Potapov 2015-02-10 16:01:31 MSK
Created attachment 3740 [details]
ss3

config changes...
Comment 23 Vladimir Potapov 2015-02-10 19:43:42 MSK
Please, rebuild to non _personal container
Comment 24 a.lahin 2015-02-11 08:40:48 MSK
(In reply to comment #23)
> Please, rebuild to non _personal container

Please use the following containers:

https://abf.io/build_lists/2423970
https://abf.io/build_lists/2423971
Comment 25 Vladimir Potapov 2015-02-11 21:40:24 MSK
glibc-2.19-13
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2423970/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2423971/x86_64/main/release/
************************** Advisory *********************
Re-organize locales
*********************************************************
QA Verified
Comment 26 Denis Silakov 2015-02-12 01:08:11 MSK
Откатил пока публикацию. Новый glibc сломал rpmlint в сборках под 32битный rosa2014.1 на ABF. Пример - https://abf.io/build_lists/2424310. Возмонжо, надо просто подкрутить скрипты сборки на ABF либо сам rpmlint.
Comment 27 Denis Silakov 2015-02-12 13:06:01 MSK
rpmlint для ABF я починил. Если больше проблем никто не получил, то можно попробовать снова опубликовать.

Хотя в офисе была жалоба, что после обновления на 32битной машине у части приложений интерфейс оказался на английском, а у остальных остался на русском. Непонятно, это флуктуация или реально такой косяк у нас обновлениями придет.
Comment 28 Vladimir Potapov 2015-02-12 14:36:15 MSK
(In reply to comment #27)
> rpmlint для ABF я починил. Если больше проблем никто не получил, то можно
> попробовать снова опубликовать.
> 
> Хотя в офисе была жалоба, что после обновления на 32битной машине у части
> приложений интерфейс оказался на английском, а у остальных остался на
> русском. Непонятно, это флуктуация или реально такой косяк у нас
> обновлениями придет.
Я такого не замечал. Если будут названия приложений, можно еще раз проверить.
Comment 29 Denis Silakov 2015-02-12 16:42:51 MSK
Опубликовал еще раз. ABF работает нормально.
Comment 30 a.lahin 2015-02-12 20:53:31 MSK
Please retest with the following build:

https://abf.io/build_lists/2424425
https://abf.io/build_lists/2424426
Comment 31 FirstLevel 2015-02-12 21:00:54 MSK
(In reply to comment #30)
> Please retest with the following build:
> 
> https://abf.io/build_lists/2424425
> https://abf.io/build_lists/2424426

32bit - update OK. After reboot - russian is correct.
Comment 32 FirstLevel 2015-02-12 21:05:14 MSK
(In reply to comment #30)
> Please retest with the following build:
> 
> https://abf.io/build_lists/2424425
> https://abf.io/build_lists/2424426

64bit
In text mode update I see such strings while updating locales-en and locales-ru:
 5/6: locales-en            ###################################################################################################################
hash collision (1688509771) en_HK.utf8, de_AT.iso88591
      6/6: locales-ru            ###################################################################################################################
hash collision (1732240459) ru_RU.utf8, nn_NO.iso88591
      1/6: удаляется glibc-devel-2.19-13.x86_64
Comment 33 FirstLevel 2015-02-12 21:08:05 MSK
(In reply to comment #32)
> (In reply to comment #30)
> > Please retest with the following build:
> > 
> > https://abf.io/build_lists/2424425
> > https://abf.io/build_lists/2424426
> 
> 64bit
> In text mode update I see such strings while updating locales-en and
> locales-ru:
>  5/6: locales-en           
> #############################################################################
> ######################################
> hash collision (1688509771) en_HK.utf8, de_AT.iso88591
>       6/6: locales-ru           
> #############################################################################
> ######################################
> hash collision (1732240459) ru_RU.utf8, nn_NO.iso88591
>       1/6: удаляется glibc-devel-2.19-13.x86_64

After reboot - russian is OK.
Comment 34 FirstLevel 2015-02-12 21:14:17 MSK
(In reply to comment #30)
> Please retest with the following build:
> 
> https://abf.io/build_lists/2424425
> https://abf.io/build_lists/2424426

64bit
In GUI mode I have no any warnings while updating.
After reboot - russian is OK
Comment 35 Vladimir Potapov 2015-02-12 21:15:14 MSK
glibc-2.19-14
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2424425/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2424426/x86_64/main/release/
********************** Advisory ***********************
Re-organize locales
*******************************************************
QA Verified
Comment 36 a.lahin 2015-02-18 12:28:07 MSK
Created attachment 3752 [details]
glibc updated with no perl warnings
Comment 37 a.lahin 2015-02-18 12:28:59 MSK
Created attachment 3753 [details]
glibc updated with perl warnings
Comment 38 a.lahin 2015-02-18 12:32:38 MSK
As package installation order is not fixed, you can get perl warnings when some packages are installing after glibc but before locales*. 
(see "glibc updated with no perl warnings"/"glibc updated with perl warnings")